///////////////////////////////////////////////////////////////////////////////
/// @file IdePlugin.cpp
///
/// @brief base plugin header
///
/// @author Lightning
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Apr 2002
/// @author Lightning
/// @remarks Creation
///
///////////////////////////////////////////////////////////////////////////////

//#include <windows.h>
#include "dePlugins_priv.hpp"


IdePluginTwofish* IdePlugin_CreateTwofish()
{
	return new dePluginTwofish();
}

IdePluginRijndael* IdePlugin_CreateRijndael()
{
	return new dePluginRijndael();
}

IdePluginZLib* IdePlugin_CreateZLib()
{
	return new dePluginZLib();
}

IdePluginSHA1* IdePlugin_CreateSHA1()
{
	return new dePluginSHA1();
}

dePlugin::dePlugin()
{
}

dePlugin::~dePlugin()
{
}

void* dePlugin::GetInterface(IdePlugin::interface_t i)
{
	if (i == IdePlugin::iface_IdePlugin)
		return (IdePlugin*)(this);
	return NULL;
}

int dePlugin::Release()
{
	delete this;
	return 0;
}

deBoolean dePlugin::EncodeData(void* /*Buffer*/, DWORD /*Length*/, void* /*NewBuffer*/, DWORD* /*NewLength*/)
{
	return deFALSE;
}

deBoolean dePlugin::DecodeData(void* /*Buffer*/, DWORD /*Length*/, void* /*NewBuffer*/, DWORD* /*NewLength*/)
{
	return deFALSE;
}

DWORD dePlugin::MaxEncodeLength(DWORD /*Length*/)
{
	return 0;
}

DWORD dePlugin::MaxDecodeLength(void* /*Buffer*/)
{
	return 0;
}

